Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientDSConnection

java.lang.Object
com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection
org.openjump.core.ui.plugin.datastore.ocient.OcientDSConnection

All Implemented Interfaces:
  `com.vividsolutions.jump.datastore.DataStoreConnection`

    public class OcientDSConnection
    extends com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection

## Field Summary

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection

`connection, dbMetadata`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientDSConnection​(Connection con)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.vividsolutions.jump.io.FeatureInputStream` | `executeAdhocQuery​(com.vividsolutions.jump.datastore.AdhocQuery query)` | Executes an adhoc query.
`com.vividsolutions.jump.io.FeatureInputStream` | `executeFilterQuery​(com.vividsolutions.jump.datastore.FilterQuery query)` | Executes a filter query.
`com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder` | `getSqlBuilder​(com.vividsolutions.jump.datastore.SpatialReferenceSystemID srid, String[] colNames)` |
`OcientValueConverterFactory` | `getValueConverterFactory()` |

### Methods inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection

`close, execute, getCompatibleSchemaSubset, getJdbcConnection, getMetadata, isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientDSConnection

public OcientDSConnection​(Connection con)

## Method Details

### getSqlBuilder

public com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder getSqlBuilder​(com.vividsolutions.jump.datastore.SpatialReferenceSystemID srid, String[] colNames)

Specified by:
  `getSqlBuilder` in interface `com.vividsolutions.jump.datastore.DataStoreConnection`
Overrides:
  `getSqlBuilder` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection`

### executeFilterQuery

public com.vividsolutions.jump.io.FeatureInputStream executeFilterQuery​(com.vividsolutions.jump.datastore.FilterQuery query) throws SQLException
Executes a filter query. The SRID is optional for queries - it will be determined automatically from the table metadata if not supplied.

Overrides:
  `executeFilterQuery` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection`
Parameters:
  `query` - the query to execute
Returns:
  the results of the query
Throws:
  `SQLException`

### executeAdhocQuery

public com.vividsolutions.jump.io.FeatureInputStream executeAdhocQuery​(com.vividsolutions.jump.datastore.AdhocQuery query) throws Exception
Executes an adhoc query. The SRID is optional for queries - it will be determined automatically from the table metadata if not supplied.

Overrides:
  `executeAdhocQuery` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection`
Parameters:
  `query` - the query to execute
Returns:
  the results of the query
Throws:
  `SQLException`
  `Exception`

### getValueConverterFactory

public OcientValueConverterFactory getValueConverterFactory()

Overrides:
  `getValueConverterFactory` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSConnection`